blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
f17495cc0a2302e1972261703fe363c4bdf9e728 | Shell | ArnaudDroitLab/an_cryptic | /scripts/DefineIntergenicRegions.sh | UTF-8 | 4,704 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#PBS -l nodes=1:ppn=1
#PBS -l walltime=2:00:00
#PBS -A eav-760-aa
#PBS -o Intergenic.sh.stdout
#PBS -e Intergenic.sh.stderr
#PBS -V
#PBS -N Intergenic-split-sense
cd /gs/project/eav-760-aa/RNA-CKII-Spt6
rm -rf output/intergenic
mkdir -p output/intergenic
# Load bedtools.
module add mugqic/samtools/1.3
mo... | true |
4610b37c1d54eb53c1a62c8ff4cfc92e0d77a260 | Shell | ChickenCoding/BootBBCrafty | /bbtemplate.sh | UTF-8 | 462 | 2.796875 | 3 | [] | no_license | #!/usr/bin/env bash
rep=dev/coffee/
model=model/
view=view/
collection=collection/
crafty=crafty/
for theFile in "$@"
do
touch ${rep}${view}${theFile}.view.js
touch ${rep}${model}${theFile}.model.js
touch ${rep}${crafty}${theFile}.crafty.js
touch ${rep}${collection}${theFile}.collection.js
done
... | true |
5c49c1a025c76a30778b884bb12aeb554a278e03 | Shell | zhaogang1993/ProgramOnLinux | /PUBILIC/build/buildall.sh | GB18030 | 547 | 3.421875 | 3 | [] | no_license | #!/bin/bash
find_ret=$(find /home/zhaogang/share/code_new | grep makefile)
NULL=/dev/null
TARGET_PATH=/home/zhaogang/share/code_new/PUBILIC/target/
LIBPATH=/usr/lib/
#ʲôΪȫֱ
export TARGET_PATH LIBPATH
for makefile in $find_ret
do
pushd $(dirname $makefile) > $NULL #ضnullǷΪpushdĴӡϢ
echo -e "***********************bui... | true |
481a3ba06e0d76846d7e51b0e9bfa149fc0b679f | Shell | p1ne/irz-firmware | /mkfirmware | UTF-8 | 326 | 2.5625 | 3 | [] | no_license | #!/bin/sh
[ -z $BUILDROOT ] && exit 0
cp $BUILDROOT/output/build/linux-custom/arch/arm/boot/uImage.irz-ruh2b ./fw/uImage.RUH2b
rm ./fw/fsImage.RUH2b
mksquashfs $BUILDROOT/board/irz/ruh2b/skeleton ./fw/fsImage.RUH2b -comp xz
md5sum ./fw/*.RUH2b | sed -e 's/.\/fw\///g' > ./fw/update.md5
cd fw
tar -cvf ../firmware.bin *
... | true |
fdf0fee728a8b456745841a44d3009ec76627139 | Shell | franciscomaion/Spectre | /Other/Fisher.sh | UTF-8 | 1,293 | 2.5625 | 3 | [] | no_license | #PBS -S /bin/bash
#PBS -N Fisher_run
#PBS -V
#PBS -l nodes=1:ppn=1
#PBS -l walltime=0:20:00
#PBS -p 1023
#PBS -e /home/mjw/HOD_MockRun/W1_Spectro_V7_7/fisher/Fisher_stderr.pbs
#PBS -o /home/mjw/HOD_MockRun/W1_Spectro_V7_7/fisher/Fisher_stdout.pbs
test(){
export outputdir=/home/mjw/HOD_MockRun/W1_Spectro_V7_7.1
... | true |
cd66a614707cc93f0cae51b2f68278cde6917f72 | Shell | shmolyneaux/sous-vide-cooker | /etc_init.d_SnakeCharmer | UTF-8 | 2,242 | 3.75 | 4 | [] | no_license | #!/bin/sh
### BEGIN INIT INFO
# Provides: SnakeCharmer
# Required-Start: $local_fs $remote_fs $network $syslog $storserv
# Required-Stop: $local_fs $remote_fs $network $syslog $storserv
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start/stop SnakeCharmer python web server... | true |
1825cb4e71619226089a6619c341427ee25420dc | Shell | DavidKo3/xla | /test/run_tests.sh | UTF-8 | 593 | 3.4375 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
set -ex
CDIR="$(cd "$(dirname "$0")" ; pwd -P)"
LOGFILE=/tmp/pytorch_py_test.log
MAX_GRAPH_SIZE=1000
GRAPH_CHECK_FREQUENCY=100
while getopts 'LM:C:' OPTION
do
case $OPTION in
L)
LOGFILE=
;;
M)
MAX_GRAPH_SIZE=$OPTARG
;;
C)
GRAPH_CHECK_FREQUENCY=$OPTARG
;;
... | true |
09b06af93520ceac5f335dea99d389a1ca54010e | Shell | LineageOS/android_system_extras | /cppreopts/cppreopts.sh | UTF-8 | 2,575 | 3.859375 | 4 | [] | no_license | #!/system/bin/sh
#
# Copyright (C) 2016 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required... | true |
8a388c6ff01299ff0bcb7e3a5bb3d8f89d148c89 | Shell | GluuFederation/community-edition-package | /update/3.0.2/bin/update_ldap.sh | UTF-8 | 4,112 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
UPDATE_VERSION="3.0.2"
BACKUP_TIME=`date +%Y-%m-%d.%H:%M:%S`
BACKUP_FOLDER="/opt/upd/$UPDATE_VERSION/backup_ldap_$BACKUP_TIME"
init () {
# Prapre required data
echo "Preparing for appling updates..."
# Determine Gluu LDAP password
LDAP_PWD=`cat /etc/gluu/conf/ox-ldap.properties | grep "^b... | true |
ad351cd7bca9e775d035565fe17a8ff7de4a3a34 | Shell | hoto/vagrant-ubuntu-workstation | /deployment/install/install-eb-cli.sh | UTF-8 | 337 | 2.890625 | 3 | [] | no_license | echo "[INFO] Installing AWS Elastic Beanstlak CLI..."
# Installing PIP, there is no other way to install EB CLI
INSTALL_FOLDER='/home/vagrant/tmp/aws-eb-cli'
mkdir -p ${INSTALL_FOLDER}
cd ${INSTALL_FOLDER} && { curl -O https://bootstrap.pypa.io/get-pip.py; cd -; }
sudo python2.7 ${INSTALL_FOLDER}/get-pip.py
sudo pip ... | true |
4a9763652ef07d047cb64a15f62849822b594b62 | Shell | shadracnicholas/home-automation | /tools/orchestrate/systemd/deploy.sh | UTF-8 | 1,085 | 3.671875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# Abort if anything fails
set -e
DASHES=$(echo $SERVICE | tr "." "-")
ssh -t -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null "$TARGET_USERNAME"@"$DEPLOYMENT_TARGET" << EOF
# Abort if anything fails
set -e
cd $TARGET_DIRECTORY
if [ ! -d "src" ]; then
git clone https://g... | true |
f9697eeed24309ac3151afac0378f88b1c05610f | Shell | Vampouille/geocat | /web/src/main/webapp/WEB-INF/data/config/codelist/gemet/gemet-to-simpleskos.sh | UTF-8 | 1,428 | 3.71875 | 4 | [] | no_license | #!/bin/sh
if [ $1 ]
then
echo "Downloading GEMET thesaurus:"
echo " * backbone ..."
wget http://www.eionet.europa.eu/gemet/gemet-backbone.rdf
echo " * skoscore ..."
wget http://www.eionet.europa.eu/gemet/gemet-skoscore.rdf
echo " * langague files:"
for locale in $*; do
echo " ... | true |
0fbfe5ae2a18880b721b80aeef53f1987b4353f5 | Shell | nickwallen/metron-environments | /run.sh | UTF-8 | 700 | 3.453125 | 3 | [] | no_license | #!/usr/bin/env bash
#
# Deploy Metron to the target environment.
#
#
INVENTORY_PATH=$1
if [ -z "$INVENTORY_PATH" ]; then
echo "error: $0 [path-to-inventory-definition]"
exit 1
fi
# ensure METRON_HOME is defined
if [ -z "$METRON_HOME" ]; then
echo "Error: missing environment var: METRON_HOME"
exit 1
fi
# ensur... | true |
82dadb216c6a885aaa96da50b02941db51af95d7 | Shell | HuuuuuwIn/LogMng | /yjq-in.sh | UTF-8 | 1,441 | 4.125 | 4 | [] | no_license | #!/bin/bash
## java env
export JAVA_HOME=/usr/java/jdk1.8.0
export JRE_HOME=$JAVA_HOME/jre
#这里可替换为你自己的执行程序,其他代码无需更改
APP_NAME=yjq-in-1.0.0.jar
#使用说明,用来提示输入参数
usage() {
echo "Usage: sh 执行脚本.sh [start|stop|restart|status]"
exit 1
}
#检查程序是否在运行
is_exist(){
pid=`ps -ef|grep $APP_NAME|grep -v grep|awk '{print $2}' ... | true |
0660e1293a5f878d5d99a768e9351d2962aca231 | Shell | mangelajo/quickstart-routing | /setup.sh | UTF-8 | 3,399 | 3.671875 | 4 | [] | no_license | #!/bin/sh
source config
VIRT_IP=$(dig +short $VIRTHOST)
SSHCMD="ssh $SSH_OPTS $TRIPLEO_USER@$VIRT_IP"
$SSHCMD hostname >/dev/null|| echo "Can't ssh to $VIRTHOST ($VIRT_IP)" || exit 1
FWD_IFACE=$($SSHCMD "sudo ip a | grep 192.168.1.144 | grep -o \"\w*\$\"")
echo "* The remote interface for $VIRT_IP is $FWD_IFACE"
... | true |
0436347d8afb27e3d15ef7b2e3fa782497e346da | Shell | greydjin/1C | /files/scripts/backup1c | UTF-8 | 283 | 2.734375 | 3 | [] | no_license | #!/bin/bash
BACKUP_PROG=/usr/pgsql-9.6/bin/pg_basebackup
BACKUP_USER=postgres
BACKUP_DIR=/mnt/BACKUPS/1c-backup
BACKUP_FILE=backup_$(date +%Y-%m-%d_%H%M).tar.gz
$BACKUP_PROG -x --format=tar -z -U $BACKUP_USER -D - | tee > $BACKUP_DIR/$BACKUP_FILE
chmod 666 $BACKUP_DIR/$BACKUP_FILE | true |
2df04dde863a1ed50931f884ddd217f8e129896f | Shell | alvarodeleon/httpd-setup | /docker-setup-full.sh | UTF-8 | 445 | 2.65625 | 3 | [] | no_license | #!/bin/bash
mkdir -p $2/{html,mysql,backup,disk,nginx}
docker run -it --privileged --hostname="server" -e "container=docker" --cap-add SYS_ADMIN \
--tmpfs /run -v /sys/fs/cgroup:/sys/fs/cgroup:ro \
-p 22:22 -p 80:80 -p 3306:3306 \
-v "$2/html:/var/www/html" \
-v "$2/nginx:/etc/nginx/conf.d" \
-v "$2/mysql/:/var/lib/m... | true |
d916e3b1125af747cdf78ea9246757fccc9064c9 | Shell | allenthomas05/Cpp-programs | /cpp/simple programs/gcd.sh | UTF-8 | 276 | 3.4375 | 3 | [] | no_license | #!/bin/bash
clear
echo "Enter two numbers"
read a
read b
if [ $a -gt $b ]
then
n=$a
else
n=$b
fi
for((i=1;i<=n;i++))
do
rem1 = $(($a%$i))
rem2 =$(($b%$i))
if [ rem1 -eq 0 -a rem2 -eq 0 ]
then
gcd = $i
fi
done
echo " The gcd of $a and $b are $gcd" | true |
46dd038598c9f4567c58ffd1dc87813cab6c6195 | Shell | Earne/git-tfs-gitextensions-plugin | /.nuget/Nuget.sh | UTF-8 | 301 | 2.875 | 3 | [] | no_license | #!/bin/sh
if [ ! -d 'packages' ]; then
mkdir packages
fi
if [ "$1" = "NoMono" ] ; then
find ./ -name packages.config -exec .nuget/NuGet.exe install {} -o packages \;
else
find ./ -name packages.config -exec mono --runtime=v4.0.30319 .nuget/NuGet.exe install {} -o packages \;
fi
| true |
a1c00f9d3044ee5b320ac88ae7ca1b81f94f4fed | Shell | mobilemadman2/travis-ci | /bin/deploy/env.sh | UTF-8 | 292 | 2.53125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -e
REPO_NAME=${TRAVIS_REPO_SLUG##*/}
export RELEASE_FILE=${REPO_NAME}.zip
export RELEASE_TITLE=${TRAVIS_TAG}
export RELEASE_TAG=${TRAVIS_TAG}
export RELEASE_BODY="Auto updated (Travis build: ${TRAVIS_BUILD_WEB_URL})"
export GH_PAGES_DIR=${TRAVIS_BUILD_DIR}/gh-pages
| true |
5453dca075e67537fd07c03b0446b599b7914ac8 | Shell | stenpiren/Lexos | /install/Linux/Uninstaller.sh | UTF-8 | 334 | 2.84375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
declare location=$(pwd)
echo Getting ready to uninstall
if cd /home/$USER; then
rm -rf ~/anaconda2
rm -rf ~/Lexos-master
fi
cd
if [ -e ~/Downloads/Anaconda2-4.0.0-Linux-x86_64.sh ]; then
rm -rf ~/Downloads/Anaconda2-4.0.0-Linux-x86_64.sh
fi
cd $location
echo uninstall completed succes... | true |
6cdc20b40771e2a3816fe2db83c0f0572069693c | Shell | cselab/amrex | /.github/workflows/cmake/dependencies_nvcc.sh | UTF-8 | 1,050 | 3.265625 | 3 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
#
# Copyright 2020 Axel Huebl
#
# License: BSD-3-Clause-LBNL
# search recursive inside a folder if a file contains tabs
#
# @result 0 if no files are found, else 1
#
set -eu -o pipefail
sudo apt-get install -y --no-install-recommends\
build-essential \
cmake \
g++-5 ... | true |
5eefa3e530faee270123eabf2b1080d494c0047b | Shell | nvllsvm/dotfiles | /scripts/terminal/lower | UTF-8 | 242 | 3.671875 | 4 | [] | no_license | #!/usr/bin/env sh
_lower() {
tr '[:upper:]' '[:lower:]'
}
if [ $# -gt 0 ]; then
if [ $# -eq 1 ]; then
printf '%s' "$1" | _lower
else
echo 'error: unexpected arguments' >&2
exit 1
fi
else
_lower
fi
| true |
a3604cb03da437b00a8d96b40ec87dfc19d620ef | Shell | dmwm/PHEDEX | /Schema/OracleInitRole.sh | UTF-8 | 5,085 | 3.765625 | 4 | [] | no_license | #!/bin/sh
##H Usage:
##H OracleInitRole.sh DBPARAM:SECTION KEY-DIRECTORY/USERCERT-FILE SITE-NAME
##H
##H Where:
##H DBPARAM is the database parameter file with
##H the contact information
##H SECTION is the name of the section to pick
##H out, plus the name to pick... | true |
7a52c61aef785aa46ed6bf28ffd8ca88090e795a | Shell | d0ugal/hassio-jupyter | /scripts/docker-build.sh | UTF-8 | 282 | 2.578125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -evx
set -x
repo=$1;
docker run \
--privileged \
-v /var/run/docker.sock:/var/run/docker.sock \
-v "$repo":/docker \
hassioaddons/build-env:latest \
--image "d0ugal/hassio-jupyter-{arch}" \
--git \
--target jupyter \
--parallel \
--${ARCH:-all}
| true |
0253a483e3881bc3ef075ff185ebef88ad269a8e | Shell | GeeZeeS/hyperglass | /.tests/app/setup.sh | UTF-8 | 1,104 | 3.28125 | 3 | [
"BSD-3-Clause-Clear"
] | permissive | #!/usr/bin/env bash
echo "[INFO] Starting Redis..."
redis-server &
cd /tmp/hyperglass
echo "[INFO] Starting setup..."
poetry run hyperglass setup -d
echo "[SUCCESS] Setup completed."
sleep 2
echo "listen_address: 127.0.0.1" >> /root/hyperglass/hyperglass.yaml
echo "[INFO] Starting UI build."
poetry run hyperglass ... | true |
5c07fc424e44fb18cee8de2fd45eaafb3f301587 | Shell | hewlock/dotfiles | /home/.bashrc.d/aliases | UTF-8 | 672 | 2.96875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# enable color support of ls and also add handy aliases
if [ -x /usr/bin/dircolors ]; then
test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep... | true |
5907b8f0118aaef040956e6c710a08e4867e5464 | Shell | xiaoy00/skywalking | /install/deploy/istio-deploy.sh | UTF-8 | 2,985 | 3.5625 | 4 | [
"BSD-3-Clause",
"Apache-2.0"
] | permissive | #!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); y... | true |
58b5018e2e57f013afe161f740b82d5bafc1f04f | Shell | teja624/home | /.zsh/modules/aws/lib/sh/api/ec2/iam_instance_profile_associate.sh | UTF-8 | 258 | 2.921875 | 3 | [
"Apache-2.0"
] | permissive | aws_ec2_iam_instance_profile_associate() {
local iam_instance_profile="$1"
local instance_id="$2"
shift 2
cond_log_and_run aws ec2 associate-iam-instance-profile --iam-instance-profile $iam_instance_profile --instance-id $instance_id "$@"
}
| true |
7116a259489269d99ac6b63e121d15df4883ef1c | Shell | moozer/BackupScripts | /CreateSqfsImg.sh | UTF-8 | 1,805 | 4.09375 | 4 | [] | no_license | #!/bin/sh
DIRTOPROCESS=$1
if [ ! -d "$DIRTOPROCESS" ]
then
echo directory not specified
exit
fi
BASENAME=$(basename $DIRTOPROCESS)
SQDIR="/home/moz/squashfs/"
MNTDIR="/mnt/sqfs/moz/"
SQFILENAME="$BASENAME.squashfs"
MD5SUMFILE="md5sums.txt"
CURDIR=$(pwd)
echo Taking data from $DIRTOPROCESS
echo - mount dir is $MNT... | true |
9f906c756efbf9e4233c89eb878bae75e533aea7 | Shell | c3e5g7i9/install-demonsaw-linux | /run-demonsaw_router | UTF-8 | 924 | 3.640625 | 4 | [] | no_license | #!/bin/bash
#
##
####
####
#### This is a script to start demonsaw_router as a child process, monitor it, and restart it after a crash.
####
#### The script works by monitoring the exit code when demonsaw_router closes.
#### If it crashed/exited ungracefully (i.e. anything with a non-zero exit code), it will auto-rest... | true |
c12337c6f7df4afe3902ea483e32b9ece7646160 | Shell | Gremk/rs | /backup2/1.sh | UTF-8 | 1,503 | 3.78125 | 4 | [] | no_license | #!/bin/bash
#---------------------------------Set variables----------------------------------------------
Date= date +%F
Year= date +%Y
Dago= date --date='90 days ago' +%d
Mago= date --date='90 days ago' +%m
Dateago= date --date='90 days ago' +%F
sourceDir=/backup/
targetDir=/backup2/
LOGFILE=/backup2/backup.log
... | true |
17659bcfd1c2c922aa0fa09ff3b68527af642f65 | Shell | Twisterblack/auto-cleaner | /auto-cleaner | UTF-8 | 2,075 | 3.109375 | 3 | [] | no_license | #!/bin/bash
apt-get install espeak wipe bleachbit
clear
(
modprobe pcspkr
cd /root/sessions
echo "10" ;
espeak "Destruction trace files"
echo "# Destruction des traces indésirables" ; sleep 1
wipe -f -r -i *
cd /root/bts
wipe -f -r -i *
cd /root/.armitage
wipe -f -r -i *
cd /root/.msf4
wipe -f -r -i *
cd /root/.sqlmap... | true |
aa8ac093247d4ab106a21cc13e2d4720eb6f9430 | Shell | whigg/Empirical_LocalPatch | /a01-create_localpatch.sh | UTF-8 | 3,733 | 2.84375 | 3 | [] | no_license | #!/bin/sh
#====================
# convert binary files to netCDF4
# all the time steps will be in one file
# dimesnion (time, nx, ny)
# Menaka@IIS
# 2020/05/29
#====================
#*** PBS setting when needed
#PBS -q E40
#PBS -l select=1:ncpus=40:mem=100gb
#PBS -j oe
#PBS -m ea
#PBS -M menaka@rainbow.iis.u-tokyo.ac.... | true |
65c630acab3e1c26e7c8f1ec5dfed75780187b4d | Shell | hjw/tag_munger | /lib/updatesToWWL/update0_fromRepository_to_LocalCopyTagMunger.sh | UTF-8 | 468 | 2.765625 | 3 | [] | no_license | # copy from ~/code/tag_munger to DharaWWL (VMC's silver 2.5 inch portable hard disk), create new folder tag_munger
# to create or update the tag_munger utilities.
rsync -avz --exclude=.git --exclude=.DS_Store --delete-excluded ~/code/tag_munger /Volumes/DharaWWL/
echo 'Now TAG MUNGER UTILTIES should be on DharaWWL sil... | true |
d0530a0c8d0268a53337ea3617726ffd346e3e8e | Shell | johanwestling/nvx | /helpers/output.sh | UTF-8 | 3,761 | 3.828125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
function nvx_text_wrap {
local text="${1}"
local line_length=${2:-80}
local wrapped_text=$(echo -e "${text}" | fold -sw $line_length)
while read -r text_line; do
echo -e "${text_line}"
done <<< "${wrapped_text}"
}
function nvx_text_pad {
local line="${1}"
local line_length=${2:-80}
lo... | true |
1a060e6519f5236e620bff329998c5aa596d3e98 | Shell | sswguo/jboss-app-workflow | /fetch.sh | UTF-8 | 479 | 2.859375 | 3 | [] | no_license | #! /bin/sh
if [ $1 ]; then
echo ""
else
echo "Please specify the app_repo."
exit
fi
APP_REPO="$1/jboss-7.1.1.Final-docker"
wget -O db/maitai_docker.sql $APP_REPO/db/maitai_docker.sql
mkdir jboss-as/maitai/etc
wget -O jboss-as/maitai/etc/maitai.conf $APP_REPO/jboss-as/maitai/etc/maitai.conf
wget -O jboss-as... | true |
2d3114c8f8f10e0687ffa187f6e5319272c40224 | Shell | asconix-old/asconix-plone-buildout | /custom/bin/backup.sh | UTF-8 | 1,183 | 3.421875 | 3 | [] | no_license | #!/bin/sh
# This script backups the ZODB, the buildout files and custom configuration files
# create backup directory if not yet available
backup_dir=/var/plone/backup
backup_zodb_dir=$backup_dir/zodb
backup_blob_dir=$backup_dir/blob
backup_buildout_dir=$backup_dir/buildout
[ -d $backup_dir ] || mkdir $backup_dir
[ -... | true |
5ddf34ac6c903fd81426e40cafb32a686a1cb3bf | Shell | ragusa/EV | /conservation_law/bin/dox | UTF-8 | 502 | 3.84375 | 4 | [] | no_license | #!/bin/bash
# check if current directory is valid
directory=${PWD##*/}
if [ $directory == "conservation_law" -o $directory == "transport" ]; then
# create doxygen output directory if it does not exist
mkdir -p doxygen
# compile html
doxygen Doxyfile
# view html using Google-Chrome
google-chrome doxygen... | true |
1f78aa32d5446569c1a41d47f13064399bd8aa86 | Shell | RazorCMS/RazorAnalyzer | /scripts_condor/runRazorJob_CaltechT2_InputFromCERNT2_JM.sh | UTF-8 | 3,532 | 3.3125 | 3 | [] | no_license | #!/bin/sh
hostname
echo "Job started"
date
analysisType=$1
echo "analysisType "${analysisType}
inputfilelist=$2
echo "inputfilelist "${inputfilelist}
isData=$3
echo "isData "${isData}
option=$4
echo "option "${option}
filePerJob=$5
echo "filePerJob "${filePerJob}
jobnumber=$6
echo "jobnumber "${jobnumber}
outputfile=... | true |
ed156b4fbea822cfa739a276d0ede3ebaf7c5d3f | Shell | freebsd/freebsd-ports | /www/perlbal/files/perlbal.in | UTF-8 | 360 | 2.859375 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
# PROVIDE: perlbal
# REQUIRE: LOGIN
# KEYWORK: shutdown
. /etc/rc.subr
name="perlbal"
command="%%PREFIX%%/bin/perlbal"
load_rc_config "$name"
: ${perlbal_enable="NO"}
: ${perlbal_configuration="%%PREFIX%%/etc/perlbal/perlbal.conf"}
required_files="$perlbal_configuration"
command_args="--config $require... | true |
986e1db31ef32995d00c5d05ed1ba0ddf2526dd6 | Shell | za3k/noice | /media-player-rosemary/remote | UTF-8 | 195 | 2.546875 | 3 | [
"CC0-1.0",
"LicenseRef-scancode-public-domain-disclaimer",
"LicenseRef-scancode-public-domain"
] | permissive | #!/bin/bash
ARG="$(echo "$1" | sed -e 's/\/media\/germinate/\/data\/video/')"
if [ -e "$ARG" ]; then
ARG="$(xclip -o)"
fi
ssh germinate-lan -- /var/local/media-player/bin/magic-player "'$ARG'"
| true |
b7c0ea3952ab59144b8f428c9584fe5d752b82d8 | Shell | jwebcat/dotfiles | /sync-cdargs-mc_hotlist | UTF-8 | 518 | 3.4375 | 3 | [] | no_license | #!/bin/sh
# Synchronize cdargs directory list with mc's hotlist
if [[ ! -e ~/.cdargs ]]; then
echo "Unable to find file ~/.cdargs." 1>&2
fi
if [[ ! -e ~/.config/mc/hotlist ]]; then
mkdir -p ~/.config/mc
fi
while read n l; do
if [[ -z "${n}" ]] || [[ -z "${l}" ]]; then
continue
fi
echo "ENTRY \"${n}\" URL \"${... | true |
de2e46e206ff37375618f81759e181de65b30a4d | Shell | choikongji/script | /취약점진단/shell_script/script/U-53.sh | UTF-8 | 1,812 | 2.859375 | 3 | [] | no_license |
echo "<U-53>" >> ../result.xml
echo "<Name> ssh 원격접속 허용 </Name>" >> ../result.xml
echo "<Security_Threat>" >> ../result.xml
echo "원격 접속 시 Telnet, FTP 등은 암호화되지 않은 상태로 데이터를 전송하기" >> ../result.xml
echo "때문에 아이디/패스워드 및 중요 정보가 외부로 유출될 위험성이 있음" >> ../result.xml
echo "</Security_Threat>" >> ../result.xml
echo "<Data> <... | true |
876fbad6db2145b5ae51831f636a14236080ee41 | Shell | liujitao/zabbix_template | /cloud/zabbix/script/rabbitmq-check.sh | UTF-8 | 421 | 3.09375 | 3 | [] | no_license | #set -o xtrace
NUM_OF_RUNNING_NODES=$(sudo /usr/sbin/rabbitmqctl cluster_status|grep "running_nodes"|awk -F[ '{print $2}'|awk -F] '{print $1}'|awk -F, '{print NF}')
CONTROLLER_NODE_NUM=`expr $(sudo cat /etc/astute.yaml|grep " role: controller"|wc -l) + $(sudo cat /etc/astute.yaml|grep " role: primary-controller"|wc ... | true |
7187fab52135447db9a3576887ad7ad1269acb20 | Shell | dalguete/e9ter | /usr/share/e9ter/core/options_handling/components/remove_option.sh | UTF-8 | 708 | 4.375 | 4 | [] | no_license | # Functionality for the remove_option function
#
# Used to remove a given stored value item for a given key
function remove_option() {
# Check a key is received
if [ $# -lt 2 ]; then
die "Required options key storage to check value existence against"
fi
# Get the items passed
local key=$(echo "$1" | tr ... | true |
dccbfe47891442b94d9b57a9362a6346bd3e3bc8 | Shell | usamaahmadkhan/hts | /hts/build/scripts/install_ltp_centos.sh | UTF-8 | 1,377 | 3.28125 | 3 | [] | no_license | #!/bin/bash
source /root/hts/hts/build/scripts/bash_helpers.sh
source /root/hts/hts/build/scripts/log_helpers.sh
source /root/hts/hts/scripts/ltp_config
# Export language settings
tryexec export LANG=C
tryexec export LC_ALL=C
# PREREQS on CentOS (package-list is incomplete and may vary for other distros)
log "Instal... | true |
4a03123f6eb6f62798a5c0d944239196c3f9c5fd | Shell | kazufusa/dotfiles | /zsh/.zshrc | UTF-8 | 6,528 | 3.015625 | 3 | [] | no_license | # Start configuration added by Zim install {{{
#
# User configuration sourced by interactive shells
#
# -----------------
# Zsh configuration
# -----------------
#
# History
#
# Remove older command from the history if a duplicate is to be added.
setopt HIST_IGNORE_ALL_DUPS
#
# Input/output
#
# Set editor default ... | true |
6518fec621b0e6a08b9f4d25f1585a23a8946521 | Shell | hilbix/rinse | /scripts/centos-5/post-install.sh | UTF-8 | 1,418 | 3.859375 | 4 | [] | no_license | #!/bin/sh
#
#
prefix=$1
if [ ! -d "${prefix}" ]; then
echo "Serious error - the named directory doesn't exist."
exit
fi
touch ${prefix}/etc/mtab
# rpm's can now be removed
rm -f ${prefix}/*.rpm
#
# BUGFIX:
#
echo "BUGFIX"
mkdir -p ${prefix}/usr/lib/python2.4/site-packages/urlgrabber.skx
for i in ${prefix}/us... | true |
fd5d6f5f31a1099c1a7229f516097195d11ed560 | Shell | wwwted/MySQL-HOWTOs | /scripts/start.sh | UTF-8 | 395 | 3.140625 | 3 | [] | no_license | #!/bin/bash
if [ -z "$WS_HOME" ]; then
echo "Need to set environment variable WS_HOME, run command: bash> . ./setenv"
exit 1
fi
if [ -S $WS_HOME/mysql.sock ]; then
echo "MySQL already runninng, socket file (/tmp/mysql.sock) exits"
exit 1
fi
echo "starting MySQL ..."
$WS_HOME/mysqlsrc/bin/mysqld_sa... | true |
0e47fdc25bb07aaaae9bf22c9eb6359dbccc16c5 | Shell | bu6hunt3r/awesome_dotfiles | /common/zsh/main.zsh | UTF-8 | 4,280 | 3.078125 | 3 | [] | no_license | source ~/.zsh.d/constants.zsh
# load custom own shell_options from ~/.options/shell-options.zsh if present
source ~/.zsh.d/envbootstrap.zsh
# history settings / dir navigation options / glob options / better completion options
source ~/.zsh.d/options.zsh
# ANSI Color codes
source ~/.zsh.d/termcolors.zsh
# load autosug... | true |
758316e7a24260483a069a84122be656d94efea1 | Shell | delkyd/alfheim_linux-PKGBUILDS | /monicelli-git/PKGBUILD | UTF-8 | 1,836 | 3.34375 | 3 | [] | no_license | # This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.
# The following guidelines are specific to BZR, GIT, HG and SVN... | true |
955f9f1b97b4429bcb4fa4beab9a0ccdb8ccb6d0 | Shell | lidanyang/shell | /linuxcommandlineandshell/13userinput/test20.sh | UTF-8 | 752 | 3.5625 | 4 | [] | no_license | #########################################################################
# File Name: test20.sh
# Author: ma6174
# mail: ma6174@163.com
# Created Time: 2015年12月07日 星期一 13时50分32秒
#########################################################################
#!/bin/bash
# processing options and parameters with getopts
echo ... | true |
d8f0a3e5e149bee08d2b7fc122dd3f658fc327c1 | Shell | scchess/sbtappendix | /star/scripts/run_ribomap.sh | UTF-8 | 10,000 | 3.5 | 4 | [] | no_license | #!/bin/bash
#=============================
# default parameters
#=============================
adapter=CTGTAGGCACCATCAAT
min_fplen=27
max_fplen=33
nproc=15 # threads #used to be 15
nmismatch=10
offset=12 # P-site offset
force=true #now have to remake index each run
singleflag=0
doubleflag=0
#===========================... | true |
44d0d5aa4a75e35aa1aeb948f90c5fb1983051de | Shell | nashvent/compiladores-ucsp | /practica-1/ejercicio-flex/runFlex.sh | UTF-8 | 414 | 2.59375 | 3 | [] | no_license | #!/bin/sh
# compile
if flex test.l; then
echo 'flex compile success\n'
gcc lex.yy.c -L/lib -lfl
echo '------------'
echo 'INPUT'
echo '------------'
cat input.txt
./a.out < input.txt > output.txt
echo '\n\n------------'
echo 'OUTPUT'
echo '------------'
cat output.txt
... | true |
45eefa4c56dfc3e9956d5f4980baa9d91d0afacf | Shell | xiongqi1/web | /db_apps/webif/cgi-scripts/upload_killall.sh | UTF-8 | 765 | 2.640625 | 3 | [] | no_license | #!/bin/sh
if [ -z "${SESSION_ID}" -o "${SESSION_ID}" != "${sessionid}" ]; then
exit 0
fi
kill_and_wait()
{
let "timeout=10"
killall -q "$1" 1>/dev/null 2>&1
while true; do
alive=`ps | grep "$1" | grep -v grep`
if [ "$alive" == "" ]; then
break
else
let "timeout-=1"
if [ "$timeout" -eq "0" ]; then
... | true |
7d4e5f1547c5815b126c67649c447e7eb321ad0d | Shell | three6five/kvm-ovs | /clone.sh | UTF-8 | 1,238 | 3.828125 | 4 | [] | no_license | #!/usr/bin/bash
#cloneSource='centos-mininst'
vmImagePath='/vm-images'
channelPath='/var/lib/libvirt/qemu/channel/target'
usage() {
echo "Usage $0: guest [-d|--delete -s|--start]"
}
cloneSys() {
local guest="$1"
local cloneSource="$2"
echo "Clone $guest from $cloneSource"
virt-clone --connect qe... | true |
84a78fd1858537ddb399d48ea56321f2db186f9b | Shell | fabiocicerchia/www.fabiocicerchia.it | /bin/console/modules/run.sh | UTF-8 | 14,171 | 3.453125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# FABIO CICERCHIA - WEBSITE
#
# Copyright 2012 - 2013 Fabio Cicerchia.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation t... | true |
07684b5545fdb94762b9ca90365e50ec63184fa9 | Shell | ryapric/boilerplate | /terraform/config-files/user-data.sh | UTF-8 | 691 | 2.59375 | 3 | [
"MIT"
] | permissive | #/usr/bin/env bash
# AWS EC2 "user data" (startup script). There's a lot here that's official
# copy-paste of AWS' installation & config examples for the CloudWatch Agent.
wget \
https://s3.amazonaws.com/amazoncloudwatch-agent/ubuntu/amd64/latest/amazon-cloudwatch-agent.deb \
-O /tmp/amazon-cloudwatch-agent.deb
d... | true |
594efc33d6bd442322b87e15364c01fdda5ae463 | Shell | aimadba/manage_container_lxc | /bash_lxc/start_container.sh | UTF-8 | 1,282 | 3.34375 | 3 | [] | no_license | #¡/bin/bash
# start de container
#oldIFS=$IFS
exp=$(echo $1|grep \*)
#echo $exp
if [ $exp ]
then
echo " --------------demarrage des conteneur avec le joker "$exp"------------------------------$
list_container=$(lxc-ls)
mot_sans_etoil=$(echo $1 | tr -d "*")
list_final=$(echo $list_cont... | true |
36dda7103757831acd2d45f4c28426dd1cb8ee3e | Shell | stoft/openmft | /agent/bin/uninstall.sh | UTF-8 | 430 | 3.96875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
if [ "$#" -ne 1 ] && [ "$#" -ne 2 ]; then
echo "Usage: $0 AGENTID [BASEDIR]" >&2
exit 1
fi
AGENTID=$1
# Get absolute path of agent top directory
AGENTDIR=$(cd "$(dirname $(dirname "$0"))"; pwd)
BASEDIR=$AGENTDIR
# If supplied as an argument, replace BASEDIR
if [ "$#" -eq 2 ]; then
BASEDIR=$2
fi
# De... | true |
0c0d629379c810b907ec367530f788562c2d49be | Shell | beyerly/CCSR | /scripts/googleVoice2Text.sh | UTF-8 | 1,670 | 3.8125 | 4 | [] | no_license | #!/bin/bash
# This script continuously checks for the existence of the 'voiceFile'
# Once ccsr has recorded an audio snippet, it will write out this file to disk
# This script will send it to the Google Speech to text API, which returns a json file with text
# ./googleVoice2TextParse.py will parse this json file and w... | true |
0db5dc04372aa8bdbe460286b78985be762500da | Shell | MathSmath/aws-es-setup | /es-install.sh | UTF-8 | 849 | 3.609375 | 4 | [] | no_license | #!/bin/bash
cd ~
# Config
ES_FILENAME="elasticsearch-1.0.0.noarch.rpm"
AWS_PLUGIN_VERSION="2.0.0.RC1"
# Install ES
echo "Installing Elasticsearch"
wget https://download.elasticsearch.org/elasticsearch/elasticsearch/$ES_FILENAME
sudo rpm -ivh $ES_FILENAME
echo "Elasticsearch Installed"
# Install plugins (AWS and Marv... | true |
f97e9c1a48e979d602cbb98f8d34bff498f18e63 | Shell | sergutsan/JDecafCompiler | /deploy.sh | UTF-8 | 516 | 3.34375 | 3 | [] | no_license | #!/bin/sh
TMPFOLDER=/tmp/JDecafTempFolder
if [ ! -e bin/JDecafCompiler.class ]; then
echo "This is not the right folder. Exiting..."
exit -1
elif [ -e $TMPFOLDER ]; then
echo "$TMPFOLDER exists. Exiting..."
exit -2
fi
mkdir ${TMPFOLDER}
jar cfmv ${TMPFOLDER}/JDecafCompiler.jar manifest.txt -C bin .
cp -rv j... | true |
c16046b93952c2d6801e342525f6d29fb508af77 | Shell | lhnam298/kbr-analysis | /env/analysis.sh | UTF-8 | 606 | 2.84375 | 3 | [] | no_license | BASEDIR=$(cd $(dirname $0)/../.. && pwd)
CONTAINER_DB="kbr-db"
CONTAINER_WEB="kbr-analysis"
if [ $(docker ps -a | grep $CONTAINER_DB | wc -l) == "0" ]; then
docker run --name $CONTAINER_DB \
-e MYSQL_ALLOW_EMPTY_PASSWORD=yes \
-p 3306:3306 \
-d \
my... | true |
4cad6134ac8021676b6a81e65ee3e8d7cbdf7069 | Shell | Cedrusco/codesoju | /scripts/release.sh | UTF-8 | 1,600 | 3.71875 | 4 | [] | no_license | #!/bin/bash
ARG_DEFS=(
"[--version=(.*)]"
)
# $1 repo name
# $2 repo url git@github.com:Cedrusco/codesoju-angular
# $3 targetFolder ../generators/app/templates/angular1
function cloneRepo {
echo "-- Cloning codesoju-$1..."
git clone $2 $1 --depth=2
rm -rf $1/.git
replaceJsonProp "$1/package.json" "name" "<%=... | true |
b58d02a403e09c2254e4f6cded53c364cac243a4 | Shell | nakaji-dayo/learn-tiger | /2/test.sh | UTF-8 | 180 | 2.75 | 3 | [] | no_license | #!/bin/bash
set -eu
alex tiger.x
ghc tiger.hs
tests=~/Documents/tiger/testcases
for f in $( ls $tests | grep .tig$ ); do
echo "--${f}--"
cat ${tests}/${f} | ./tiger
done
| true |
5bc38fec494c7146faebcbb38381df49043b43ab | Shell | osbilln/shell | /hermes.sh | UTF-8 | 4,558 | 3.5 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
# Copyright 2004 Colin Crist
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or... | true |
dff3e1b6831c799e2d7a2768b0f235aa6c46dba5 | Shell | szaffarano/docker-claws-mail | /build.sh | UTF-8 | 340 | 2.828125 | 3 | [] | no_license | #!/bin/bash
VERSION=3.17.3
IMAGE="szaffarano/claws-mail"
if ! [ -z "$http_proxy" ]; then
BUILD_ARG_HTTP="--build-arg http_proxy=$http_proxy"
fi
if ! [ -z "$https_proxy" ]; then
BUILD_ARG_HTTPS="--build-arg https_proxy=$https_proxy"
fi
docker build \
${BUILD_ARG_HTTP} \
${BUILD_ARG_HTTPS} \
-t ${IMAGE}... | true |
3954225f10167a58429474a5f4f9273a0b4c6e12 | Shell | madorskya/wib_sim | /soft_debug_p3/axisafety.sh | UTF-8 | 2,081 | 3.6875 | 4 | [] | no_license | #!/bin/bash
devmem="devmem"
# status
name=(bram_rstn read_fault write_fault bram0 bram1 )
addr=(0xA00C0040 0xA00C00CC 0xA00C00CC 0xA00D0000 0xA00D0004 )
bnum=(0 0 1 0 0 )
mask=(1 1 1 0xffffffff 0xffffffff )
#syntax: devreg reg_name... | true |
cd0ce6c389c956dddb8fd261e9a5bc8d220595aa | Shell | benbasscom/Generic-Bash-Scripts | /Local Items/Local_Items_cleanup.sh | UTF-8 | 302 | 2.828125 | 3 | [] | no_license | #!/bin/bash
# Script to remove Local Items folder.
# Strongly suggest restarting after running the tool.
# Ben Bass 2015
sphard="$(system_profiler SPHardwareDataType)"
uuid="$(echo "$sphard" | grep "Hardware UUID:" | awk '{print $3}')"
echo $HOME
mv $HOME/Library/Keychains/$uuid/ $HOME/.Trash
exit 0 | true |
03827184ec468ef91e2bbdb02292b9c28759e863 | Shell | hdeiner/CheckWordster | /provision_checkwordster_ec2.sh | UTF-8 | 703 | 3.125 | 3 | [] | no_license | #!/usr/bin/env bash
# First, add the GPG key for the official Docker repository to the system
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
# Add the Docker repository to APT sources
sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) st... | true |
fd013212ae674fb9dfd91289047ec609604b77a8 | Shell | zjpjohn/dianping-swallow | /swallow-consumerserver/src/main/resources/start.sh | UTF-8 | 2,371 | 3.625 | 4 | [] | no_license | #!/bin/bash
PRGDIR=`dirname "$0"`
LOCAL_IP=`ifconfig eth0 | grep 'inet addr:' | cut -d: -f2 | awk '{ print $1}'`
if [ ! -d "/data/applogs/swallow" ] ; then
mkdir -p "/data/applogs/swallow"
fi
usage(){
echo " Usage:"
echo " use '$0 master' to start as master."
echo " use '$0 slave [<masterIp>]' to... | true |
2ac00eefac3acb5fac5e8ce8a7ae99621c7a840f | Shell | nephatrine/docker-gitea-web | /override/usr/local/bin/gitea-backup | UTF-8 | 475 | 2.84375 | 3 | [
"ISC"
] | permissive | #!/bin/sh
export HOME=/mnt/config/home
if [ ! -d /tmp/gitea-backup ]; then
/bin/mkdir -p /tmp/gitea-backup
fi
cd /mnt/config/home || exit 1
/usr/bin/find /mnt/config/home/ -maxdepth 1 -type f -name 'gitea-dump-*.zip' -print0 | /usr/bin/xargs -r0 /bin/ls -t | /usr/bin/tail -n +3 | /usr/bin/tr '\n' '\0' | /usr/bin/x... | true |
df600b159e2f4aff3beb722b0838b937676f7d9d | Shell | ironman820/freshstart | /style-login.sh | UTF-8 | 300 | 2.703125 | 3 | [] | no_license | #!/usr/bin/env bash
set -euo pipefail
mydir=$PWD
if [[ ! -x /usr/bin/paru ]]
then
echo "Installing AUR helper"
$mydir/setup-aur-helper.sh
fi
paru -Sy --noconfirm lightdm lightdm-gtk-greeter bunsen-themes-git
sudo cp $mydir/.backups/root/etc/lightdm/lightdm-gtk-greeter.conf /etc/lightdm/
| true |
f0d7e281b3153e3b72bb7bf61f24452fd45b619b | Shell | smxi/smxi | /sm-lib-2009-fixes | UTF-8 | 12,450 | 2.921875 | 3 | [] | no_license | #!/bin/bash
########################################################################
#### Script Name: sm-lib-2009-fixes
#### version: 1.1.25
#### Date: 2010-09-16
#### Copyright (C) Harald Hope 2009
#### This program is free software; you can redistribute it and/or modify it under
#### the terms of the GNU Gene... | true |
d5e2f268988ef98bdbd120e0caa0bdbf18f169a8 | Shell | mackatozis/uni | /OS/Operating Systems/graded_problem_set_1.sh | UTF-8 | 3,714 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#================================================================================#
# The MIT License #
# #
# Copyright 2013 Alexandros Efthymiadis. #
# #
# Permission is hereby granted, free of charge, to any person obtaining a copy #
# of this software and associated docu... | true |
779f93a04ab34f3f181bad7d733cd52fe7e7c8aa | Shell | ranjithkumar007/kgpkubssim3d.bin- | /itandroids/kill.sh | UTF-8 | 108 | 2.515625 | 3 | [] | no_license | #!/usr/bin/env bash
for KILLPID in `ps ax | grep agent | awk ' { print $1;}'`; do
kill -9 $KILLPID;
done
| true |
2948f7ec14362b816da18fddd0fa3b288fc09898 | Shell | shashankware/FUNCTON | /degtemp.sh | UTF-8 | 1,403 | 3.859375 | 4 | [] | no_license | #!/bin/bash
echo "1 : degF to degC 2 : degC to degF "
read -p "Enter choice : " choice
funFtoC ( ) {
read -p "Enter Temp(F):" tempf
tempc=$((($tempf-32)*5/9))
echo "temp(C):" $tempc
}
funCtoF ( ) {
read -p "Enter temp(C):" tempc
tempf=$((($tempc*9/5)+32))
echo "temp(f):" $tempf
}
case $choice in
... | true |
33e9d9e52df9267cd81cad5f35711e5d737598ca | Shell | diranetafen/mobileit | /Customize Desktop/script/Remote Access/check_lcd.sh | UTF-8 | 342 | 2.703125 | 3 | [] | no_license | if [ -c /dev/ttyACM0 ] ; then
echo "$(date) ---------- check_LCD : LCD up" >> /home/pi/custum_desktop/logs/check_lcd.log
echo "OK" > /home/pi/custum_desktop/logs/check_lcd.txt
else
echo "$(date) ---------- check_LCD : LCD down" >> /home/pi/custum_desktop/logs/check_lcd.log
echo "KO" > /home/pi/custum_desktop/... | true |
a65db2e61288279bcd80606642409549392d6d38 | Shell | 49257620/reboot | /studysrc/shellstudy/array002.sh | UTF-8 | 436 | 2.84375 | 3 | [] | no_license | my_array=(A B "C" D)
echo "第一个元素为: ${my_array[0]}"
echo "第二个元素为: ${my_array[1]}"
echo "第三个元素为: ${my_array[2]}"
echo "第四个元素为: ${my_array[3]}"
my_array[0]=A
my_array[1]=B
my_array[2]=C
my_array[3]=D
my_array[10]=E
echo "数组的元素为: ${my_array[*]}"
echo "数组的元素为: ${my_array[@]}"
echo "数组元素个数为: ${#my_array[*]}"
echo "数组元素个数为: $... | true |
210b51cf02f204c8ef7cdefc88342c095e44ddf4 | Shell | jeqo/packer-oracle-bpm | /scripts/oracle-fmw/create-oracle-user.sh | UTF-8 | 467 | 2.78125 | 3 | [
"MIT"
] | permissive | #!/bin/sh -x
groupadd $OS_GROUP -g 500
useradd -b /home -g $OS_GROUP -u 501 $OS_USER
echo "welcome1" | passwd --stdin $OS_USER
sed -i '/.*EOF/d' /etc/security/limits.conf
echo "* soft nofile 16384" >> /etc/security/limits.conf
echo "* hard nofile 16384" >> /etc/security/limits.conf
echo "# EOF" >> /etc/security/limi... | true |
3d3aa267ef367a1e5b0f22552b6a95ca4afec477 | Shell | Lijiakuan/sequencing | /rins_ccls/blast_check.sh | UTF-8 | 1,133 | 4.125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
script=`basename $0`
function usage(){
echo
echo "checks the contents of the given blast output file"
echo
echo "Usage:"
echo
echo "$script [--blast COMMAND] blast_output_file(s)"
echo
echo "COMMANDS: blastn, tblastx"
echo
echo "Example:"
echo "$script dna/output/fallon_SFPB... | true |
654269cf8a00eaf8deb29f30bad18d6a8386c219 | Shell | silverbolt2016/unix-book | /chap3/4ex/ex4.sh | UTF-8 | 250 | 2.765625 | 3 | [] | no_license | #/bin/bash
: '
Write a script that creates three background processes, waits for them all to
complete, and then displays a simple message
'
#Creating 3 sleep processes
sleep 15 &
sleep 15 &
sleep 15 &
wait
echo All 3 background processes completed
| true |
3d5f97a4a1c1b3d9499ce5c1d535568fe0076c1a | Shell | naveenmahadevuni/incubator-trafodion | /core/sqf/sql/scripts/bats/runmonitorbats.virtual | UTF-8 | 1,256 | 2.578125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# @@@ START COPYRIGHT @@@
#
# (C) Copyright 2010-2014 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/l... | true |
0a081708e5f643a08cf2789f41a571a7f27ac628 | Shell | Le0nX/StudyX | /Bash/Ex2.sh | UTF-8 | 186 | 3.109375 | 3 | [] | no_license | #!/bin/bash
if [ -f /bin/bash ]
then
echo "file /bin/bash exists"
fi
if [ -d /bin/bash ]
then
echo "/bin/bash is directory"
else
echo "/bin/bash is NOT a directory"
fi
exit 0
| true |
7512392a1e9d31b0d22c5045f707177bcc24c3fa | Shell | Linaro/lava-functional-tests | /lava-test-shell/android/scripts/get-adb-serial.sh | UTF-8 | 445 | 3.59375 | 4 | [] | no_license | #!/bin/sh
which adb
# start daemon if not yet running.
adb start-server || true
adb wait-for-device
echo
# start adb and stop the daemon start message from appearing in $result
adb get-serialno || true
result=`adb get-serialno 2>&1 | tail -n1`
if [ "$result" = "unknown" ]; then
echo "ERROR: adb get-serialno return... | true |
618aa52ba81fb3901de00effbd5a2f7df4e4f4e5 | Shell | osom8979/opm | /etc/setup.d/ubuntu/102-gravatar-face.sh | UTF-8 | 1,037 | 3.859375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [[ -z $OPM_HOME ]]; then
echo "Not defined OPM_HOME variable." 1>&2
exit 1
fi
if ! command -v git &> /dev/null; then
echo "Not found git command" 1>&2
exit 1
fi
if ! command -v curl &> /dev/null; then
echo "Not found curl command" 1>&2
exit 1
fi
function md5_hash
{
... | true |
d3d982f9e317acadbe0736c293d666ca8b8627d2 | Shell | HumanCompatibleAI/adversarial-policies | /scripts/doubleblind.sh | UTF-8 | 1,121 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
ROOT_DIR="$( dirname "${SCRIPT_DIR}" )"
OPTIONS="-v -z -r -lpt"
EXCLUDES="LICENSE README.md setup.py scripts/doubleblind.sh ci/local_tests.sh .travis.yml experiments/common.sh experiments/planning
src/aprl/configs/ra... | true |
d3d4061cee18383d618709dac247cce966fea1e1 | Shell | i2like/neatdns | /anti-pollution/run | UTF-8 | 532 | 3.09375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
var2list(){
local PREFIX=$1
seq 1 9 |
while read n; do
[[ -n $(eval echo -n \$$PREFIX$n) ]] && eval echo $(eval echo \$$PREFIX$n);
done
}
iptables -N UPSTREAM
var2list GLOBAL_DNS | xargs -I {} iptables -A INPUT -s {} -j UPSTREAM
iptables -A UPSTREAM -p udp -m ... | true |
5d1ac0608ab188cc4347a2dddad3ff4a77dca4e7 | Shell | agathongroup/ag-disable-grow-counts | /make-plugin.sh | UTF-8 | 334 | 3.0625 | 3 | [] | no_license | #!/bin/sh
#
# invoke in the top-level directory of the plugin with ./make-plugin.sh.
#
# it will build a ZIP file named for the current directory. Note that it will only include stuff *committed to master*,
# any local uncommitted changes will be ignored.
name=${PWD##*/}
git archive --format=zip --prefix=$name/ maste... | true |
50ffbe4448a93d5686de24f892888beb8428131a | Shell | yomichi/HPCtools | /Enaga/pexlock | UTF-8 | 8,242 | 3.8125 | 4 | [
"BSL-1.0",
"LicenseRef-scancode-public-domain"
] | permissive | #! /bin/sh
######################################################################
#
# PEXLOCK : A Exclusive Lock Command within POSIX
#
# Usage : pexlock [options] <lockname> [lockname ...]
# -d <lockdir> ...... the directory for lockfiles.
# The lockfile directory will be dec... | true |
7b633d28b015872f76ed6497fdcd623c89c8a157 | Shell | martijnvogten/dock | /sequel Pro/sqlpro-tunnel.sh | UTF-8 | 533 | 3.34375 | 3 | [] | no_license | #!/bin/sh
LOCAL_PORT=8306
while [ -n "$(lsof -t -i :$LOCAL_PORT)" ] ; do
LOCAL_PORT=$(expr $LOCAL_PORT + 1)
done
set -e
echo "Opening SSH tunnel on local port $LOCAL_PORT"
REMOTE_PORT=$(ssh $DOCKER_SSH docker port $1 | grep '3306/tcp' | grep -oE '\S+$')
ssh -q -fN -L $LOCAL_PORT:$REMOTE_PORT $DOCKER_SSH &
SPF_FILE... | true |
b6e82f153a4e6640d73f800fba0fedaf6cbb3299 | Shell | askdoudou/bimp-plugin-MacOS | /install | UTF-8 | 453 | 2.703125 | 3 | [] | no_license | #! /bin/bash
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd "${DIR}"
chmod +x bimp
rm -rf ~/Library/Application\ Support/GIMP/2.10/plug-ins/bimp
mkdir -p ~/Library/Application\ Support/GIMP/2.10/plug-ins/bimp
cp bimp ~/Library/Application\ Support/GIMP/2.10/plug-ins/bimp/
cp -r bimp-locale ~/Library/Applica... | true |
c9296a494d760e24431bca5fd781cc0fd092ffd2 | Shell | wasiahmad/PrivacyQA | /data/fasttext/download.sh | UTF-8 | 901 | 2.875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
FASTTEXT=./
echo "Downloading fasttext embeddings"
FILE=polisis-100d-158k-subword.txt
if [[ -f "$FILE" ]]; then
echo "$FILE exists, skipping download"
else
fileid="1dqrmc1in81SiqvTQPFxQdnYZdKrbpxtu"
curl -c ./cookie -s -L "https://drive.google.com/uc?export=download&id=${fileid}" > /d... | true |
24609b295f66ccdfa69d91515802cb6ffabf16d6 | Shell | 2kw92/PAM | /pam.sh | UTF-8 | 582 | 2.71875 | 3 | [] | no_license | #!/bin/bash
useradd day && useradd night && useradd friday
echo "Otus2019"|passwd --stdin day && echo "Otus2019" | passwd --stdin night && echo "Otus2019" | passwd --stdin friday
bash -c "sed -i 's/^PasswordAuthentication.*$/PasswordAuthentication yes/' /etc/ssh/sshd_config && systemctl restart sshd.service"
sed -i 's... | true |
7709d3a0c22357c6aad4894359ab2fb89de12818 | Shell | chenxi-shi/Slurm_Bash_Automation | /scancel_not_bash_jobs.sh | UTF-8 | 769 | 3.703125 | 4 | [] | no_license | #!/usr/bin/env bash
USAGE() # use "-h" to get this help
{
cat << EOF
usage: $0 options
./scancel_not_bash_jobs -u <username>
REQUIRED:
-u <username> The account name
EOF
}
while getopts p:o:n:u:i: args
do
case $args in
u) # get user id
user_name=$OPTARG
printf "User: $user_name\n"
;;... | true |
fe84e5d961d149f780965301901222353a96b4eb | Shell | aphecetche/scripts | /alice/run3/old/aliceo2-eclipse-generate-makefiles.sh | UTF-8 | 711 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# Generate Makefiles for Eclipse for a given configuration (e.g. Debug, Release)
Configuration=${1:-Debug}
What=${2:-AliceO2}
Extra_CMake_Options=""
InstallDir=$HOME/o2/alfa/inst
if [[ $What =~ AliRoot ]];
then
Extra_CMake_Options="-DROOTSYS=$InstallDir"
fi
echo Configuration=$Configuration What=$W... | true |
1da1d690d6061d2b1488c392b62b98ad9c58a06b | Shell | mvalenziano/magento2-docker | /init | UTF-8 | 697 | 2.921875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [ "$2" == "clone" ]; then
git clone https://github.com/mvalenziano/magento2-docker.git $1 && cd $1;
fi
git config --global core.autocrlf false
git config --global core.eol LF
git config --global core.fileMode false
git config --global diff.renamelimit 5000
sudo chmod u+x ./*
docker image pul... | true |
ee77082aa6a334067267c0f4444038fcd9c8afe9 | Shell | timvideos/litex-buildenv | /scripts/debian-setup.sh | UTF-8 | 1,331 | 3.3125 | 3 | [
"MIT",
"BSD-2-Clause"
] | permissive | #!/bin/bash
# Need realpath for finding where we are running from.
apt-get install -y realpath
if [ "`whoami`" != "root" ]
then
echo "Please use sudo to run this script!"
exit 1
fi
SETUP_SRC=$(realpath ${BASH_SOURCE[0]})
SETUP_DIR=$(dirname $SETUP_SRC)
set -x
set -e
# Need wget to download conda in downloa... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.